<?php // ñasdkjñaskfdjñafkdjkasfdaksfjdkasfdakfjd
$DOCUMENT_ROOT= $_SERVER['DOCUMENT_ROOT'];
require_once('dbcon_cluster.php');

error_reporting(E_ALL);

?>
<html>

<head>
<meta HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1252">
<title>xsql rch@todo.com.uy</title>
</head>

<body TEXT="#000000" BGCOLOR="#ffffff">
<?php
function get_post( $nombre, $defval='' ){
    if ( isset( $_POST[$nombre] ) ){
        return $_POST[ $nombre ];
    }else{
        return $defval;
    }
}

$sqlstr= get_post('sqlstr');
$xo= get_post('xo');

echo $sqlstr;
if ( $sqlstr != '' ){
// si está definida la variable sqlstr quiere decir que tiene algún texto
// trataremos de ejecutarlo como si fuese una sentencia SQL

// ahora cambiamos algunos caracteres que pueden confundir al servidor
	$sqlstr= stripslashes(	$sqlstr );
  	$sqlstr= str_replace("\t", "   ", $sqlstr);
  	$sqlstr= str_replace("\n", " ", $sqlstr);
	$sqlstr= str_replace("\r", " ", $sqlstr);

// por las dudas ponemos un límite de tiempo de ejecución
	set_time_limit( 10*60); // segundos de espera máxima

// escribimos en pantalla ejecutando
	echo "<br>ejecutando: $sqlstr <br>";

if ( $xo=='query' ){
// ejecutamos la sentencia SQL
	$res= $db->query($sqlstr);


// preguntamos la cantidad de filas del resultado
	$nrows= $res->nrows();

// preguntamos la cantidad de columnas del resultado
	$nfields= $res->ncols();

// desplegamos los resultados en forma sencilla en la pantalla del usuario
	echo "nrows: $nrows  , nfields: $nfields <br> ";
	echo "<br>__________________________<br>";

	for ($kf= 0; $kf < $nfields; $kf++ ){
		$ftype= $res->ftype($kf);
		echo "| $ftype ";
	}
	echo "<br>";

	for ($kf= 0; $kf < $nfields; $kf++ ){
   		$fname= $res->fname($kf);
		echo "| $fname ";
	}


	for ($kr= 0; $kr < $nrows; $kr++){
		echo '<pre>';
		$row = $res->next();
		for ($kf= 0; $kf < $nfields; $kf++ ){
			$fval= $res->row[$kf];
			echo "| $fval";
		}
		echo '</pre>';
	}

}

if ($xo=='exec'){
// ejecutamos la sentencia SQL
	$res= $db->query($sqlstr);
}


// cerramos la conexión con la base de datos.
	$db->close();
}



?>


<form METHOD="POST">
  <p>&nbsp;</p>
  <p><textarea NAME="sqlstr" ROWS="8" COLS="80"></textarea> </p>
  <p><input TYPE="submit" value="query" name="xo">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input
  TYPE="submit" value="exec" name="xo"> </p>
</form>
</body>
</html>
